# Template file for 'ruby-rdoc'.
#
short_desc="Generate documentation from Ruby source files"
long_desc="
 RDoc - Documentation from Ruby Source Files:

 * Generates structured HTML and XML documentation from Ruby source
   and C extensions.
 * Automatically extracts class, module, method, and attribute
   definitions.  These can be annotated using inline comments.
 * Analyzes method visibility.
 * Handles aliasing.
 * Uses non-intrusive and implicit markup in the comments. Readers of
   the original source needn't know that it is marked up at all.

 This package provides the RDoc tool which uses Ruby ${version}."

noarch=yes
 
Add_dependency run ruby-irb
Add_dependency run ruby

do_install()
{
	local libdir=/usr/lib/ruby/1.9.1

	mkdir -p ${DESTDIR}/usr/bin ${DESTDIR}/${libdir}

	mv ${SRCPKGDESTDIR}/usr/bin/rdoc ${DESTDIR}/usr/bin
	mv ${SRCPKGDESTDIR}/${libdir}/rdoc ${DESTDIR}/${libdir}
}
